/** \file
 * Header for the EOutputType and EViewOutputType enums
 *
 * \author Abvent R&D Copyright (c) 2000
 * \author Cong Loc Kieu
 * \version 1.0
 * \date 17/08/2000
 */

#ifndef EOutputType_h
#define EOutputType_h


// We use this namespace for our library.
namespace  AvAtl {


/// Enumerator for output file format
enum EOutputType
{
    eCompressedPict, 
	ePict,	
	eCompressedTga,	
	eTga, 
	eBmp,	
	eJpeg, 
	eQuickTime, 
	eCompressedQuickTime,
	eAvi,
    eReal
};


/// Enumerator for view output file format
enum EViewOutputType
{
	eVCompressedPict = 0,		// Pict compresse
	eVPict,						// Pict
	eVCompressedTga,			// TGA compresse
	eVTga,						// TGA
	eVBmp,						// Bitmap
	eVJpeg,						// compression Jpeg 
	eVCompressedQuickTime,		// Quicktime compressed
	eVQuickTime,				// Quicktime uncompressed
	eVCompressedQuickTimeVR,	// Quicktime VR compressed
	eVQuickTimeVR,				// Quicktime VR uncompressed
	eVReal,						// Real VR
	eVAvi,						// Video for Windows
	eVEpix,						// EPIX (piranesi)
	eVTiff,						// Tiff
	eVLast = eVTiff
};


}

#endif /* EOutputType_h */
